package com.xyzc.start.mapper;

import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.domain.Industry;
import com.xyzc.start.domain.vo.AppPageVo;
import com.xyzc.start.domain.vo.IndustryVo;

import java.util.List;


public interface IndustryMapper extends BaseMapperPlus<Industry, IndustryVo> {

    /**
     * 查询行业列表
     * @param industry
     * @return
     */
    List<IndustryVo> queryList(Industry industry);


    /**
     * 查询所有所属的职业关联的应用
     *
     * @param industryId
     * @return
     */
    List<AppPageVo> queryAppPageVo(Long industryId);


    /**
     *
     * @param careerIds
     * @return
     */
    List<AppPageVo> queryAppPageVoByCarreerIds(List<Long> careerIds);
}
