package com.xyzc.start.service;

import com.xyzc.start.domain.vo.*;

import java.util.List;

/**
 *
 */
public interface IMyCollectService {

    /**
     * 根据上一个id 获取收藏的绘画模型列表
     * @param id Long
     * @param modelName String
     * @return List<DrawModelCollectVo>
     */
    List<DrawModelCollectVo> getCollectDrawModel(Long id, String modelName);

    /**
     * 根据上一个id 获取收藏的应用列表
     * @param appId
     * @param appName 应用名称模糊查询
     * @return
     */
    List<AppCollectVo> getCollectApp(Long appId, String appName);

    /**
     * 根据上一个id 获取收藏的图片列表
     *
     * @param graphicsId
     * @param graphicsName 图像名称
     * @return
     */
    List<DrawGraphicsCollectVo> getCollectImage(Long graphicsId, String graphicsName);
}
