package com.xyzc.start.service.impl;


import com.xyzc.common.web.security.user.SecurityUser;
import com.xyzc.start.domain.vo.*;
import com.xyzc.start.mapper.BaseUserCollectMapper;
import com.xyzc.start.service.IMyCollectService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *
 * @author 杨兴卓
 */

@Service
@RequiredArgsConstructor
public class MyCollectServiceImpl implements IMyCollectService {

    private final BaseUserCollectMapper baseUserCollectMapper;

    /**
     *
     * @param id
     * @return
     */
    @Override
    public List<DrawModelCollectVo> getCollectDrawModel(Long id, String modelName) {

        return baseUserCollectMapper.queryDrawModelById(SecurityUser.getUserId(), id, modelName);
    }

    /**
     *
     * @param appId
     * @param appName 应用名称模糊查询
     * @return
     */
    @Override
    public List<AppCollectVo> getCollectApp(Long appId, String appName) {

        return baseUserCollectMapper.queryAppById(SecurityUser.getUserId(), appId, appName);
    }

    @Override
    public List<DrawGraphicsCollectVo> getCollectImage(Long graphicsId, String graphicsName) {

        return baseUserCollectMapper.queryDrawGraphicsById(SecurityUser.getUserId(), graphicsId, graphicsName);
    }


}
